Skip to main content
OpenSea logo
  • Category: ecommerce
  • Auth: API_KEY
  • Composio-managed OAuth available? N/A
  • Tools: 24
  • Triggers: 0
  • Slug: OPEN_SEA
  • Version: 20261101_00

Tools

Slug: OPEN_SEA_BUILD_CRITERIA_OFFERBuild a portion of a criteria offer including the merkle tree needed to post an offer.

Input Parameters

string
required
The address which supplies all the items in the offer
object
required
Criteria for the collection or trait offer
integer
The number of offers to place

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_CANCEL_ORDERRequest offchain cancellation of a SignedZone-protected order, offer, or listing by chain, protocol, and order hash. Cancellation is only assured if a fulfillment signature was not vended beforehand; OpenSea requires a scoped bearer token for order cancellation.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The hash of the order to retrieve
string
required
The contract address of the protocol to use in the request
string
An EIP-712 signature from the offerer of the order. If not provided, the user associated with the API Key will be checked instead

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_CREATE_CRITERIA_OFFERSubmit a criteria offer creation request to OpenSea. The accepted protocol data contains only a criteria protocol address, so collection or trait criteria and signed order details cannot be supplied.

Input Parameters

object
required
The signed order which will be submitted to Seaport

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_CREATE_ITEM_OFFERSubmit an offer to purchase a single NFT (ERC721 or ERC1155). The order parameters accepted by this tool contain only the order type; a signature and protocol address are also required.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The token settlement protocol to use in the request
string
required
Signature of the signed type data represented by the parameters field
object
required
Order components object containing the order details
string
required
Exchange contract address. Must be one of [‘0x0000000000000068f116a894984e2db1123eb395’]

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_CREATE_LISTINGSubmit a listing for a single NFT (ERC721 or ERC1155) on OpenSea. The order parameters accepted by this tool contain only the order type; a signature and protocol address are also required.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The token settlement protocol to use in the request
string
required
Signature of the signed type data represented by the parameters field
object
required
Order components object containing the order details
string
required
Exchange contract address. Must be one of [‘0x0000000000000068f116a894984e2db1123eb395’]

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_FULFILL_LISTINGRequest fulfillment information for an OpenSea listing, including transaction and order details intended for fulfilling it onchain. The request includes the fulfiller address; this tool does not itself execute the onchain transaction.

Input Parameters

object
required
Listing to get fulfillment data for

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_FULFILL_OFFERRequest fulfillment information for an OpenSea offer, including transaction and order details intended for fulfilling it onchain. The request includes the fulfiller address; this tool does not itself execute the onchain transaction.

Input Parameters

object
required
Offer to get fulfillment data for

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_ACCOUNTGet an OpenSea Account Profile including details such as bio, social media usernames, and profile image.

Input Parameters

string
required
The public blockchain address or OpenSea username

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_ALL_LISTINGS_BY_COLLECTIONGet a page of active, valid listings for a single collection, with cursor pagination.

Input Parameters

string
The cursor for the next page of results
integer
The number of listings to return. Must be between 1 and 100
string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_ALL_OFFERS_BY_COLLECTIONGet a page of active, valid offers for a collection, including individual and criteria offers, with cursor pagination.

Input Parameters

string
The cursor for the next page of results
integer
The number of offers to return. Must be between 1 and 100
string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_BEST_LISTING_BY_NFTGet the best listing for an NFT.

Input Parameters

string
required
The NFT token id
string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter
boolean
If true, will include private listings

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_BEST_LISTINGS_BY_COLLECTIONGet the cheapest priced active, valid listings on a single collection.

Input Parameters

string
The cursor for the next page of results
integer
The number of listings to return. Must be between 1 and 100
string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter
boolean
If true, will include private listings

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_BEST_OFFER_BY_NFTGet the best offer for an NFT in a collection.

Input Parameters

string
required
The NFT token id
string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_COLLECTIONGet a single collection by slug, including details such as fees and links.

Input Parameters

string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_COLLECTIONSGet a list of OpenSea collections with optional filtering and pagination.

Input Parameters

string
The cursor for the next page of results
string
The blockchain on which to filter the results
integer
The number of collections to return. Must be between 1 and 100
string
The order in which to sort the collections
boolean
If true, will return hidden collections
string
If set, will only return collections created by the given OpenSea username

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_COLLECTION_STATSGet stats for a single collection on OpenSea.

Input Parameters

string
required
Unique string to identify a collection on OpenSea

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_CONTRACTGet a smart contract for a given chain and address.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The public blockchain address

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_EVENTSGet a list of events from OpenSea based on various filters like timestamps and event types.

Input Parameters

string
The cursor for the next page of results
integer
Filter to only include events that occurred at or after the given timestamp (Unix epoch in seconds)
integer
The number of events to return. Must be between 1 and 50
integer
Filter to only include events that occurred before the given timestamp (Unix epoch in seconds)
array
The type of event to filter by. If not provided, only sales will be returned

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_LISTINGSGet a page of active, valid listings, with optional filters and a cursor for pagination.

Input Parameters

string
required
The blockchain on which to filter the results
integer
The number of orders to return. Must be between 1 and 50
string
Filter results by the order maker’s wallet address
string
Filter results by the order taker’s wallet address
string
The cursor for the next page of results
string
The order in which to sort the results. If eth_price is used, asset_contract_address and token_id are required
string
required
The token settlement protocol to use in the request
array
An array of token IDs to search for. If used, asset_contract_address is required
string
Filter to only include orders that were listed after the given timestamp
string
Filter to only include orders that were listed before the given timestamp
string
The direction in which to sort the results
string
Payment Token Address to filter results. This ensures all returned orders are listed in a single currency
string
Filter results by the contract address for NFT(s). If used, token_ids is required

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_NFTGet metadata, traits, ownership information, and rarity for a single NFT.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The public blockchain address
string
required
The NFT token id

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_ORDERGet a single order, offer or listing, by its order hash. Protocol and Chain are required to prevent hash collisions.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The hash of the order to retrieve
string
required
The contract address of the protocol to use in the request

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_PAYMENT_TOKENGet payment token information for a given chain and token contract address.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The public blockchain address

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_GET_TRAITSGet the traits in a collection.

Input Parameters

string
required
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: OPEN_SEA_REFRESH_NFT_METADATARefresh metadata for a single NFT.

Input Parameters

string
required
The blockchain on which to filter the results
string
required
The public blockchain address
string
required
The NFT token id

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not